import javax.swing.*;
import java.awt.*;
/**
 *  Creates a panel displaying keyboard and mouse control commands
 * @author  Mark Pendergast
 * @version 1.0 February 2003
 *
 */
public class InstructionPanel extends JPanel
{
  public InstructionPanel()
  {
	  Font bf = new Font("Dialog",Font.PLAIN,10);
     setLayout(new GridLayout(4,3));

     add(new JLabel("Left turn - Left button down move left,or left arrow",JLabel.CENTER));
     add(new JLabel("Forward - Left button down move up, or up arrow",JLabel.CENTER));
    add(new JLabel("Right turn - Left button down move right, or right arrow",JLabel.CENTER));

    add(new JLabel("Roll/bank left - Right button down move left",JLabel.CENTER));
    add(new JLabel("Backward - Left button down move down, or down arrow ",JLabel.CENTER));
    add(new JLabel("Roll/bank right - Right button down move right",JLabel.CENTER));

    add(new JLabel("Increase altitude - Right button down move up, or U",JLabel.CENTER));
    add(new JLabel("Decrease altitude - Right button down move down, or D",JLabel.CENTER));
    add(new JLabel("Right click for  menu and settings display",JLabel.CENTER));


    add(new JLabel("Dive - Right and Left button down move down",JLabel.CENTER));
    add(new JLabel("Climb - Right and Left button down move up",JLabel.CENTER));
    add(new JLabel("",JLabel.CENTER));

    for(int i = 0; i < getComponentCount(); i++)
       getComponent(i).setFont(bf);
  }

}
